1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Mysql library is wrong after upgrade

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by scanmaster, Oct 5, 2011.

  1. scanmaster

    scanmaster Guest

    0
     
    Hi,

    I just got a new Centos server from 1 & 1 today but had to upgrade the Plesk panel to 10.3.1 so I could upgrade to php 5.3. I also upgraded MySQL to 5.5 but phpmyadmin reports that: "Your PHP MySQL library version 5.0.77 differs from your MySQL server version 5.5.14. This may cause unpredictable behavior."

    I'm importing large database files (around 300 meg each) but when the file reaches the server I get an error saying that access is denied for the user.

    I then tried uploading a file through FTP and importing through SSH but MySQL just hangs.

    Anyone know of a fix for this?

    Cheers!

    Steve
     
  2. scanmaster

    scanmaster Guest

    0
     
    Doesn't matter now I re-imaged the server and upgraded to Plesk 10.3.1 again (w/o the MySQL update) BUT now the components update page hangs so can't upgrade to php 5.3! :(
     
  3. DesignPixel

    DesignPixel Guest

    0
     
    Same Problem

    I have the same problem, new server from 1&1 Internet, upgraded to Plesk 10.3.1.
    Having performed a yum update, I am now on PHP5.3.3

    PhpMyAdmin displays the error:

    Your PHP MySQL library version 5.0.77 differs from your MySQL server version 5.5.14. This may cause unpredictable behavior.


    In fact, I get an Internal Server Error simply when I add 'Drop Table' when I export from PhpMyAdmin, so I guess that might be termed 'unpredicable behaviour'.

    Would love to know if there is a fix here and if somebody can offer some commands, or link to a repository, to update the PHP MySql library? I would have thought The Plesk update would have updated the correct components when I included the PHP5.3 update.
    Thanks
     
Loading...